/*
 * Class REAL_64
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_195 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_195 [] = {0xFF01,323,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_195 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_195 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_195 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_195 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_6_195 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_7_195 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_8_195 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_9_195 [] = {0xFF01,193,0xFFFF};
static const EIF_TYPE_INDEX egt_10_195 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_195[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_195), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_195), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10330, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_195), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_195), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_195), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_195), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_195), 10383, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_195), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_195), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10334, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10332, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10378, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10379, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1457, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10360, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 10362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10366, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10328, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10370, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_195), 10339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10371, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10345, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10374, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10348, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10349, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10358, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_195), 10383, 0xFFFFFFFF},
};
void Init195(void)
{
	IDSC(desc_195, 0, 194);
	IDSC(desc_195 + 1, 1, 194);
	IDSC(desc_195 + 32, 248, 194);
	IDSC(desc_195 + 34, 254, 194);
	IDSC(desc_195 + 44, 203, 194);
	IDSC(desc_195 + 48, 288, 194);
	IDSC(desc_195 + 51, 218, 194);
	IDSC(desc_195 + 78, 336, 194);
}


#ifdef __cplusplus
}
#endif
